#!/bin/sh
# Usage: 	sh ./install.sh dest_dir
# 		dist_dir - full path name to the installation directory

if [ ! "$1" ]
then	echo "
Usage: 	sh ./install.sh dest_dir
	dist_dir - full path name to the installation directory
"
	exit
fi

if [ ! -d "$1" ]
then	mkdir -p $1
else	echo $1
fi

# cat all file together and uncompere and untar it to the destination directory
cat linuxg.* | tar -z -C $1 -xvf -

# now need to edit several files - grass4.1, etc/monitorcap, and etc/digitcap
cp $1/grass4.1 $1/grass4.1.orig
new=`echo $1 | awk 'BEGIN {FS="/"}
{for (i=1; i < NF; i++)
	printf $i"\\\/"
 print $NF
}'`
sed s/\\/app\\/grass4.15\\/linux/$new/g $1/grass4.1.orig > $1/grass4.1

cp $1/etc/monitorcap $1/etc/monitorcap.orig
sed s/\\/app\\/grass4.15\\/linux/$new/g $1/etc/monitorcap.orig > $1/etc/monitorcap

# change the fifo mode
chmod og+w $1/dev/fifo.*
